org.apache.struts2.dispatcher.multipart

## Class PellMultiPartRequest

- java.lang.Object
- - org.apache.struts2.dispatcher.multipart.AbstractMultiPartRequest
  - - org.apache.struts2.dispatcher.multipart.PellMultiPartRequest

- All Implemented Interfaces:
    MultiPartRequest

      public class PellMultiPartRequest
      extends AbstractMultiPartRequest

  Multipart form data request adapter for Jason Pell's multipart utils package.

- - ### Field Summary

    - ### Fields inherited from class org.apache.struts2.dispatcher.multipart.AbstractMultiPartRequest

      `BUFFER_SIZE, bufferSize, defaultEncoding, defaultLocale, errors, maxFiles, maxFileSize, maxSize, maxStringLength`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PellMultiPartRequest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cleanUp()`
    `String[]` | `getContentType(String fieldName)`
    `UploadedFile[]` | `getFile(String fieldName)`
    `String[]` | `getFileNames(String fieldName)`
    `Enumeration` | `getFileParameterNames()`
    `String[]` | `getFilesystemName(String fieldName)`
    `String` | `getParameter(String name)`
    `Enumeration<String>` | `getParameterNames()`
    `String[]` | `getParameterValues(String name)`
    `void` | `parse(javax.servlet.http.HttpServletRequest servletRequest, String saveDir)` Creates a new request wrapper to handle multi-part data using methods adapted from Jason Pell's multipart classes (see class description).

    - ### Methods inherited from class org.apache.struts2.dispatcher.multipart.AbstractMultiPartRequest

      `buildErrorMessage, getCanonicalName, getErrors, setBufferSize, setDefaultEncoding, setLocale, setLocaleProviderFactory, setMaxFiles, setMaxFileSize, setMaxSize, setMaxStringLength`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PellMultiPartRequest

          public PellMultiPartRequest()

  - ### Method Detail

    - #### parse

          public void parse(javax.servlet.http.HttpServletRequest servletRequest,
                            String saveDir)
                     throws IOException

      Creates a new request wrapper to handle multi-part data using methods adapted from Jason Pell's multipart classes (see class description).
      Parameters:
        `saveDir` - the directory to save off the file
        `servletRequest` - the request containing the multipart
      Throws:
        `IOException`

    - #### getFileParameterNames

          public Enumeration getFileParameterNames()

    - #### getContentType

          public String[] getContentType(String fieldName)

    - #### getFile

          public UploadedFile[] getFile(String fieldName)

    - #### getFileNames

          public String[] getFileNames(String fieldName)

    - #### getFilesystemName

          public String[] getFilesystemName(String fieldName)

    - #### getParameter

          public String getParameter(String name)

    - #### getParameterNames

          public Enumeration<String> getParameterNames()

    - #### getParameterValues

          public String[] getParameterValues(String name)

    - #### cleanUp

          public void cleanUp()

Copyright © 2000–2023 Apache Software Foundation. All rights reserved.